import UpdateIcon from '@mui/icons-material/Update';
import { Table } from 'react-bootstrap'

export default function Candidatos () {

    let users = [ {
            password :'repartidorPARMA',
            puesto : "Piloto Repartidor",
            DPI : 1583266600501,
            aplicacion : "27/12/2018 12:02 PM",
            pendientes : "No",
        },{
            password :'repartidorPARMA',
            puesto : "Piloto Repartidor",
            DPI : 1583266600501,
            aplicacion : "27/12/2018 12:02 PM",
            pendientes : "Si",
        }
    ]

    return (
        <div className="body_historial">
            <div className="header_historial">
                <UpdateIcon style={{  color : "white", fontSize : 25, margin : 0, marginRight: 15, marginLeft :15 }}/>
                <p className="titlie_main">HISTORIAL DE ACCESO DE CANDIDATOS</p>
            </div>
            <div className="content_historial">
                <p>Últimos candidatos que han ingresado al sistema:</p>
                <div className="cabeceras">
                    <div className="row">
                        <div className="col20">
                            <p>Contraseña</p>
                        </div>
                        <div className="col20">
                            <p>Puesto</p>
                        </div>
                        <div className="col20">
                            <p>No. Identificación</p>
                        </div>
                        <div className="col20">
                            <p>Fecha de aplicación</p>
                        </div>
                        <div className="col20">
                            <p>Pruebas Pendientes</p>
                        </div>
                    </div>
                </div>

                {
                    users.map( (user, index) => {
                        return(
                            <div key={index} className="data_candidato">
                                <div className="row">
                                    <div className="col20">
                                        <p>{ user.password }</p>
                                    </div>
                                    <div className="col20">
                                        <p>{ user.puesto }</p>
                                    </div>
                                    <div className="col20">
                                        <p><a href="#">{ user.DPI }</a></p>
                                    </div>
                                    <div className="col20">
                                        <p>{ user.aplicacion }</p>
                                    </div>
                                    <div className="col20">
                                        <p>{ user.pendientes }</p>
                                    </div>
                                </div>
                            </div>
                        )
                    })
                }
            </div>
        </div>
    )
}
